Documentation menu

Organization User Groups

8 operations.

List user groups in the current organization

GET/api/v1/organizations/{organizationIdOrSlug}/user-groups

Parameters

path

NameTypeRequiredDescription
organizationIdOrSlugstringrequiredIdentifies the organization by its stable identifier or slug. Applies to List user groups in the current organization.

query

NameTypeRequiredDescription
limitintegeroptionalSets the maximum number of resources returned in this page. Applies to List user groups in the current organization.
cursorstringoptionalOpaque cursor returned by the previous page; omit it to read the first page. Applies to List user groups in the current organization.

Responses

StatusDescriptionBody
200Response for status 200
application/json
object
  • data (required): object
  • pagination (required): object
400The request is malformed or cannot be processed.
application/json
PublicApiError
  • error (required): object
401Authentication failed. Possible reasons: - Authorization header is not provided - Invalid credentials
application/json
PublicApiError
  • error (required): object
403Access denied. The authenticated user does not have permission to perform this action.
application/json
PublicApiError
  • error (required): object
404Resource not found.
application/json
PublicApiError
  • error (required): object
422Request validation failed. Check the request body, query parameters, or path parameters.
application/json
PublicApiError
  • error (required): object
500The server could not complete the request.
application/json
PublicApiError
  • error (required): object

Create a user group in the current organization

POST/api/v1/organizations/{organizationIdOrSlug}/user-groups

Parameters

path

NameTypeRequiredDescription
organizationIdOrSlugstringrequiredIdentifies the organization by its stable identifier or slug. Applies to Create a user group in the current organization.

Request body

required — Request body for: Create a user group in the current organization.

application/json

NameTypeRequiredDescription
namestringrequired

Responses

StatusDescriptionBody
200Response for status 200
application/json
object
  • data (required): object
400Bad Request
application/json
PublicApiError
  • error (required): object
401Authentication failed. Possible reasons: - Authorization header is not provided - Invalid credentials
application/json
PublicApiError
  • error (required): object
403Access denied. The authenticated user does not have permission to perform this action.
application/json
PublicApiError
  • error (required): object
404Resource not found.
application/json
PublicApiError
  • error (required): object
422Request validation failed. Check the request body, query parameters, or path parameters.
application/json
PublicApiError
  • error (required): object
500The server could not complete the request.
application/json
PublicApiError
  • error (required): object

Retrieve an organization user group

GET/api/v1/organizations/{organizationIdOrSlug}/user-groups/{userGroupId}

Retrieve one user group by its canonical organization locator and ugr_ identifier.

Parameters

path

NameTypeRequiredDescription
organizationIdOrSlugstringrequiredIdentifies the organization by its stable identifier or slug. Applies to Retrieve an organization user group.
userGroupIdstringrequiredIdentifies the Organization or Project user group being addressed. Applies to Retrieve an organization user group.

Responses

StatusDescriptionBody
200Response for status 200
application/json
object
  • data (required): object
400The request is malformed or cannot be processed.
application/json
PublicApiError
  • error (required): object
401Authentication failed. Possible reasons: - Authorization header is not provided - Invalid credentials
application/json
PublicApiError
  • error (required): object
403Access denied. The authenticated user does not have permission to perform this action.
application/json
PublicApiError
  • error (required): object
404Resource not found.
application/json
PublicApiError
  • error (required): object
422Request validation failed. Check the request body, query parameters, or path parameters.
application/json
PublicApiError
  • error (required): object
500The server could not complete the request.
application/json
PublicApiError
  • error (required): object

Rename an organization user group

PATCH/api/v1/organizations/{organizationIdOrSlug}/user-groups/{userGroupId}

Update the mutable name of one organization user group addressed by its ugr_ identifier.

Parameters

path

NameTypeRequiredDescription
organizationIdOrSlugstringrequiredIdentifies the organization by its stable identifier or slug. Applies to Rename an organization user group.
userGroupIdstringrequiredIdentifies the Organization or Project user group being addressed. Applies to Rename an organization user group.

Request body

required — Request body for: Rename an organization user group.

application/json

NameTypeRequiredDescription
namestringrequired

Responses

StatusDescriptionBody
200Response for status 200
application/json
object
  • data (required): object
400The request is malformed or cannot be processed.
application/json
PublicApiError
  • error (required): object
401Authentication failed. Possible reasons: - Authorization header is not provided - Invalid credentials
application/json
PublicApiError
  • error (required): object
403Access denied. The authenticated user does not have permission to perform this action.
application/json
PublicApiError
  • error (required): object
404Resource not found.
application/json
PublicApiError
  • error (required): object
422Request validation failed. Check the request body, query parameters, or path parameters.
application/json
PublicApiError
  • error (required): object
500The server could not complete the request.
application/json
PublicApiError
  • error (required): object

Delete a user group

DELETE/api/v1/organizations/{organizationIdOrSlug}/user-groups/{userGroupId}

Parameters

path

NameTypeRequiredDescription
organizationIdOrSlugstringrequiredIdentifies the organization by its stable identifier or slug. Applies to Delete a user group.
userGroupIdstringrequiredIdentifies the Organization or Project user group being addressed. Applies to Delete a user group.

Responses

StatusDescriptionBody
200Response for status 200
application/json
object
  • data (required): object
400The request is malformed or cannot be processed.
application/json
PublicApiError
  • error (required): object
401Authentication failed. Possible reasons: - Authorization header is not provided - Invalid credentials
application/json
PublicApiError
  • error (required): object
403Access denied. The authenticated user does not have permission to perform this action.
application/json
PublicApiError
  • error (required): object
404Resource not found.
application/json
PublicApiError
  • error (required): object
422Request validation failed. Check the request body, query parameters, or path parameters.
application/json
PublicApiError
  • error (required): object
500The server could not complete the request.
application/json
PublicApiError
  • error (required): object

List members of a user group

GET/api/v1/organizations/{organizationIdOrSlug}/user-groups/{userGroupId}/members

Parameters

path

NameTypeRequiredDescription
organizationIdOrSlugstringrequiredIdentifies the organization by its stable identifier or slug. Applies to List members of a user group.
userGroupIdstringrequiredIdentifies the Organization or Project user group being addressed. Applies to List members of a user group.

query

NameTypeRequiredDescription
limitintegeroptionalSets the maximum number of resources returned in this page. Applies to List members of a user group.
cursorstringoptionalOpaque cursor returned by the previous page; omit it to read the first page. Applies to List members of a user group.

Responses

StatusDescriptionBody
200Response for status 200
application/json
object
  • data (required): object
  • pagination (required): object
400The request is malformed or cannot be processed.
application/json
PublicApiError
  • error (required): object
401Authentication failed. Possible reasons: - Authorization header is not provided - Invalid credentials
application/json
PublicApiError
  • error (required): object
403Access denied. The authenticated user does not have permission to perform this action.
application/json
PublicApiError
  • error (required): object
404Resource not found.
application/json
PublicApiError
  • error (required): object
422Request validation failed. Check the request body, query parameters, or path parameters.
application/json
PublicApiError
  • error (required): object
500The server could not complete the request.
application/json
PublicApiError
  • error (required): object

Add a user to a user group

POST/api/v1/organizations/{organizationIdOrSlug}/user-groups/{userGroupId}/members

Parameters

path

NameTypeRequiredDescription
organizationIdOrSlugstringrequiredIdentifies the organization by its stable identifier or slug. Applies to Add a user to a user group.
userGroupIdstringrequiredIdentifies the Organization or Project user group being addressed. Applies to Add a user to a user group.

Request body

required — Request body for: Add a user to a user group.

application/json

NameTypeRequiredDescription
userIdstringrequired

Responses

StatusDescriptionBody
200Response for status 200
application/json
object
  • data (required): object
400Bad Request
application/json
PublicApiError
  • error (required): object
401Authentication failed. Possible reasons: - Authorization header is not provided - Invalid credentials
application/json
PublicApiError
  • error (required): object
403Access denied. The authenticated user does not have permission to perform this action.
application/json
PublicApiError
  • error (required): object
404Resource not found.
application/json
PublicApiError
  • error (required): object
422Request validation failed. Check the request body, query parameters, or path parameters.
application/json
PublicApiError
  • error (required): object
500The server could not complete the request.
application/json
PublicApiError
  • error (required): object

Remove a user from a user group

DELETE/api/v1/organizations/{organizationIdOrSlug}/user-groups/{userGroupId}/members/{userId}

Parameters

path

NameTypeRequiredDescription
organizationIdOrSlugstringrequiredIdentifies the organization by its stable identifier or slug. Applies to Remove a user from a user group.
userGroupIdstringrequiredIdentifies the Organization or Project user group being addressed. Applies to Remove a user from a user group.
userIdstringrequiredIdentifies the user whose membership or grant is being addressed. Applies to Remove a user from a user group.

Responses

StatusDescriptionBody
200Response for status 200
application/json
object
  • data (required): object
400The request is malformed or cannot be processed.
application/json
PublicApiError
  • error (required): object
401Authentication failed. Possible reasons: - Authorization header is not provided - Invalid credentials
application/json
PublicApiError
  • error (required): object
403Access denied. The authenticated user does not have permission to perform this action.
application/json
PublicApiError
  • error (required): object
404Resource not found.
application/json
PublicApiError
  • error (required): object
422Request validation failed. Check the request body, query parameters, or path parameters.
application/json
PublicApiError
  • error (required): object
500The server could not complete the request.
application/json
PublicApiError
  • error (required): object